################################################################################
#
# h1502displaymenu
#
################################################################################

H1502DISPLAYMENU_VERSION = $(shell git ls-remote https://git.SDNsupport.nl:4000/H1502/H1502_displaymenu.git HEAD | awk '{print$$1}')
H1502DISPLAYMENU_SITE = https://git.SDNsupport.nl:4000/H1502/H1502_displaymenu.git
H1502DISPLAYMENU_SITE_METHOD = git
H1502DISPLAYMENU_LICENSE = Copyright sdn

H1502DISPLAYMENU_GIT_VERSION = $(shell git --git-dir $(H1502DISPLAYMENU_DL_DIR)/git/.git describe --always --tags)

define H1502DISPLAYMENU_BUILD_CMDS
	$(MAKE) CC=$(TARGET_CC) LD=$(TARGET_LD) GIT_VERSION=$(H1502DISPLAYMENU_GIT_VERSION) -C $(@D) all
endef

define H1502DISPLAYMENU_INSTALL_TARGET_CMDS
	$(INSTALL) -D -m 0755 $(@D)/displaymenu $(TARGET_DIR)/bin
endef

define H1502DISPLAYMENU_INSTALL_INIT_SYSV
	$(INSTALL) -D -m 755 $(@D)/S12displaymenu $(TARGET_DIR)/etc/init.d/S12displaymenu
endef

$(eval $(generic-package))
